Update task
curl --request PATCH \
--url https://api.whirl.sh/api/v1/tasks/{taskId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"status": "<string>",
"dueDate": "2023-12-25"
}
'import requests
url = "https://api.whirl.sh/api/v1/tasks/{taskId}"
payload = {
"title": "<string>",
"status": "<string>",
"dueDate": "2023-12-25"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({title: '<string>', status: '<string>', dueDate: '2023-12-25'})
};
fetch('https://api.whirl.sh/api/v1/tasks/{taskId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"title": "<string>",
"status": 123,
"code": "<string>",
"type": "<string>",
"detail": "<string>"
}{
"title": "<string>",
"status": 123,
"code": "<string>",
"type": "<string>",
"detail": "<string>"
}{
"title": "<string>",
"status": 123,
"code": "<string>",
"type": "<string>",
"detail": "<string>"
}{
"title": "<string>",
"status": 123,
"code": "<string>",
"type": "<string>",
"detail": "<string>"
}{
"title": "<string>",
"status": 123,
"code": "<string>",
"type": "<string>",
"detail": "<string>"
}{
"title": "<string>",
"status": 123,
"code": "<string>",
"type": "<string>",
"detail": "<string>"
}Tasks
Update task
Change a task’s title, status or due date.
PATCH
/
tasks
/
{taskId}
Update task
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Task id from list_tasks or search_tasks.
Required string length:
1 - 64Body
application/json
Required string length:
1 - 500Status key from list_workspace_statuses.
Required string length:
1 - 64ISO date (2026-10-01) or date-time with offset (2026-10-01T09:00:00+02:00); null clears it.
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$Response
Success
The response is of type object.

